/***************************************************************************
                     qobexserialcable.h  -  description
                             -------------------
    begin                : Thu Dec 12 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QOBEXSERIALCABLE_H
#define QOBEXSERIALCABLE_H

#include "qobex.h"

#include <qstring.h>

extern "C" {
	#include "serialtransport.h"
}

class QObexSerialCable : public QObex
{
Q_OBJECT

public: 
	QObexSerialCable(const QString&, int);
	~QObexSerialCable();
	virtual bool transportConnect();

protected:
    const QString device;
	struct serial_userdata ud;
	virtual void createNotifier();
};

#endif
