#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './settingsbase.ui'
**
** Created: Tue Apr 29 14:26:40 2003
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.1   edited Nov 21 17:40 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "settingsbase.h"

#include <qvariant.h>
#include <qbuttongroup.h>
#include <qgroupbox.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a SettingsBase as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
SettingsBase::SettingsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SettingsBase" );
    SettingsBaseLayout = new QVBoxLayout( this, 11, 6, "SettingsBaseLayout"); 

    transport = new QButtonGroup( this, "transport" );
    transport->setAlignment( int( QButtonGroup::AlignTop ) );
    transport->setColumnLayout(0, Qt::Vertical );
    transport->layout()->setSpacing( 6 );
    transport->layout()->setMargin( 11 );
    transportLayout = new QVBoxLayout( transport->layout() );
    transportLayout->setAlignment( Qt::AlignTop );

    Layout1 = new QGridLayout( 0, 1, 1, 0, 6, "Layout1"); 

    bluetooth = new QRadioButton( transport, "bluetooth" );
    bluetooth->setEnabled( TRUE );

    Layout1->addWidget( bluetooth, 0, 0 );

    infrared = new QRadioButton( transport, "infrared" );

    Layout1->addWidget( infrared, 1, 0 );

    serialCable = new QRadioButton( transport, "serialCable" );

    Layout1->addWidget( serialCable, 0, 1 );
    transportLayout->addLayout( Layout1 );
    SettingsBaseLayout->addWidget( transport );

    transSetBox = new QGroupBox( this, "transSetBox" );
    SettingsBaseLayout->addWidget( transSetBox );
    QSpacerItem* spacer = new QSpacerItem( 0, 1, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SettingsBaseLayout->addItem( spacer );
    languageChange();
    resize( QSize(456, 345).expandedTo(minimumSizeHint()) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SettingsBase::~SettingsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SettingsBase::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    transport->setTitle( tr2i18n( "Connection Type" ) );
    bluetooth->setText( tr2i18n( "Bluetooth" ) );
    infrared->setText( tr2i18n( "Infrared" ) );
    serialCable->setText( tr2i18n( "Serial Cable" ) );
    transSetBox->setTitle( tr2i18n( "Connection Settings" ) );
}

#include "settingsbase.moc"
