/***************************************************************************
                          deviceinfo.h  -  description
                             -------------------
    begin                : Fri Jan 24 2003
    copyright            : (C) 2003 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DEVICEINFO_H
#define DEVICEINFO_H

#include "deviceinfobase.h"
#include "qobex.h"
#include "qobexclientget.h"

#include <qwidget.h>

class DeviceInfo : public DeviceInfoBase
{
Q_OBJECT

public: 
	DeviceInfo(QObex*, QWidget *parent=0, const char *name=0);
	~DeviceInfo();

    void setObex(QObex*);

public slots:
	void slotGet();
    void slotClientError(const QString&);
	void slotClientDone();
	void slotClientData(QByteArray&);

protected:
	QObex* obex;
    QObexClientGet* client;
};

#endif
