/***************************************************************************
                          sendfile.h  -  description
                             -------------------
    begin                : Sun Nov 10 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SENDFILE_H
#define SENDFILE_H

#include "sendfilebase.h"

class QObex;
class Sender;

class SendFile : public SendFileBase
{
Q_OBJECT

public: 
	SendFile(QObex *obex, QWidget *parent=0, const char *name=0);
	~SendFile();

    void setObex(QObex *obex);

public slots:
	void slotSend();
	void slotDeleteSender();

protected:
	QObex *obex;
	Sender *sender;    
};

#endif
