/***************************************************************************
                      serialtransport.h  -  description
                             -------------------
    begin                : Thu Dec 12 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

struct serial_userdata {
	int fd;
	const char *device;
	int baud;
    int workaround;
};

int serial_unset_hupcl(const char *device);

int serial_connect(obex_t *handle, void *userdata);
int serial_disconnect(obex_t *handle, void *userdata);
int serial_write(obex_t *handle, void *userdata, uint8_t *buffer, int length);
int serial_handleinput(obex_t *handle, void *userdata, int timeout);

